" Assorted plugins
Plug 'cespare/vim-toml'
Plug 'ctrlpvim/ctrlp.vim'
Plug 'honza/vim-snippets'
Plug 'jiangmiao/auto-pairs'
Plug 'leafgarland/typescript-vim'
Plug 'mileszs/ack.vim'
Plug 'posva/vim-vue'
Plug 'ron-rs/ron.vim'
Plug 'tommcdo/vim-exchange'
Plug 'tpope/vim-fugitive'
Plug 'tpope/vim-projectionist'
Plug 'tpope/vim-rails'
Plug 'tpope/vim-surround'
Plug 'vim-test/vim-test'

" CoC
Plug 'neoclide/coc.nvim', {'branch': 'release'} |
  \ Plug 'neoclide/coc-git'

" Lightline
Plug 'itchyny/lightline.vim' |
  \ Plug 'albertomontesg/lightline-asyncrun' |
  \ Plug 'itchyny/vim-gitbranch' |
  \ Plug 'macthecadillac/lightline-gitdiff' |
  \ Plug 'anstadnik/tmuxline.vim'
  " Using the above fork for lightline truecolor support
  " \ Plug 'edkolev/tmuxline.vim'

" NerdTree
Plug 'preservim/nerdtree' |
  \ Plug 'Xuyuanp/nerdtree-git-plugin' |
  \ Plug 'ryanoasis/vim-devicons' |
  \ Plug 'tiagofumo/vim-nerdtree-syntax-highlight'

" Vim-Markdown
Plug 'godlygeek/tabular' |
  \ Plug 'plasticboy/vim-markdown'

" sonokai colorscheme + supporting plugins
Plug 'sainnhe/sonokai' |
  \ Plug 'rmolin88/pomodoro.vim' |
  \ Plug 'sainnhe/artify.vim'
